Katello - Bug #7140

hammer: Unable to add repository to content view
08/18/2014 01:38 PM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Hammer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1124061 Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/’225
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1124061
Description of problem:
hammer: Unable to add repository to content view

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140723.0

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.29-1.el6sat.noarch
foreman-compute-1.6.0.29-1.el6sat.noarch
foreman-gce-1.6.0.29-1.el6sat.noarch
foreman-libvirt-1.6.0.29-1.el6sat.noarch
foreman-ovirt-1.6.0.29-1.el6sat.noarch
foreman-postgresql-1.6.0.29-1.el6sat.noarch
foreman-proxy-1.6.0.21-1.el6sat.noarch
foreman-selinux-1.6.0-8.el6sat.noarch
foreman-vmware-1.6.0.29-1.el6sat.noarch
katello-1.5.0-27.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.56-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
pulp-server-2.4.0-0.23.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:

Steps to Reproduce:
hammer> content-view add-repository --name=cv1 --organization-id=3 --repository="testrepo34"'
Could not add repository:
Error: Missing options to search product

hammer> content-view add-repository --name=cv1 --organization-id=3 --repository="testrepo34' --product="newproduct23'
Could not add repository:
Error: Unrecognised option '--product’

See: ' content-view add-repository —--help'’

hammer> content-view add-repository --name=cv1 --organization-id=3 --repository="testrepo34' --product-id=95
Could not add repository:
Error: Unrecognised option '--product-id'

hammer> content-view add-repository --help
Usage:
content-view add-repository [OPTIONS]

Options:
--id ID content view numeric identifier
--name NAME Content view name to search by

--organization ORGANIZATION_NAME Organization name to search by
--organization-id ORGANIZATION_ID

--organization-label ORGANIZATION_LABEL Organization label to search by
--repository REPOSITORY_NAME Repository name to search by
--repository-id REPOSITORY_ID repository ID

-h, --help print help

Actual results:
Unable to add repository to content view

Expected results:
Able to add repository to content view

Additional info:

Associated revisions

Revision 2ce5e334 - 08/20/2014 04:03 PM - dustin tsang

Fixes #7140 - product opt missing from cv add repo

This makes product option available in content-view add-repository and
remove-repository commands.

product option was missing from content-view add-repository and
remove-repository so the user was unable to add/remove repositories
since respository is scoped to a product.

Revision 8f62a617 - 08/22/2014 10:28 AM - dustin tsang

Merge pull request #225 from dustint-rh/cv_add_repo_missing_product_opt

Fixes #7140 - product opt missing from cv add repo

History

#1 - 08/18/2014 01:47 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 56

- Pull request https://github.com/Katello/hammer-cli-katello/pull/225 added
- Pull request deleted ()

#2 - 08/18/2014 03:43 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/20/2014 08:21 AM - Eric Helms

- Target version changed from 56 to 55
#4 - 08/22/2014 11:01 AM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|2ce5e334bb019c4d83a1071ebcc71ab869871e0f.

#5 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
